OCC Main Page | ApplicationFramework | Toolkits | Packages | Class Hierarchy | Data Structures | File List | Data Fields | Globals

# ApplicationFramework
PTKernel
PShort

# PShort_SeqExplorerOfHSequenceOfShortReal Class Reference

`#include <PShort_SeqExplorerOfHSequenceOfShortReal.hxx>`

## Public Member Functions
void * | operator new (size_t, void *anAddress)
void * | operator new (size_t size)
void | operator delete (void *anAddress)
Standard_EXPORT | PShort_SeqExplorerOfHSequenceOfShortReal (const Handle(PShort_HSequenceOfShortReal)&S)
Standard_EXPORT Standard_ShortReal | Value (const Standard_Integer Index)
Standard_EXPORT Standard_Boolean | Contains (const Standard_ShortReal &T)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Standard_ShortReal &T, const Standard_Integer FromIndex, const Standard_Integer ToIndex)
Standard_EXPORT Standard_Integer | Location (const Standard_Integer N, const Standard_ShortReal &T)
## Private Attributes
Handle_PShort_SeqNodeOfHSequenceOfShortReal | CurrentItem
Standard_Integer | CurrentIndex
Handle_PShort_HSequenceOfShortReal | TheSequence

## Constructor & Destructor Documentation

Standard_EXPORT PShort_SeqExplorerOfHSequenceOfShortReal::PShort_SeqExplorerOfHSequenceOfShortReal | ( | const Handle(PShort_HSequenceOfShortReal)& | S | ) |

## Member Function Documentation

Standard_EXPORT Standard_Boolean PShort_SeqExplorerOfHSequenceOfShortReal::Contains | ( | const Standard_ShortReal & | T | ) |

Standard_EXPORT Standard_Integer PShort_SeqExplorerOfHSequenceOfShortReal::Location | ( | const Standard_Integer | N,
|  | const Standard_ShortReal & | T
| ) |

Standard_EXPORT Standard_Integer PShort_SeqExplorerOfHSequenceOfShortReal::Location | ( | const Standard_Integer | N,
|  | const Standard_ShortReal & | T,
|  | const Standard_Integer | FromIndex,
|  | const Standard_Integer | ToIndex
| ) |

void PShort_SeqExplorerOfHSequenceOfShortReal::operator delete | ( | void * | anAddress | ) | `[inline]`

void* PShort_SeqExplorerOfHSequenceOfShortReal::operator new | ( | size_t | size | ) | `[inline]`

void* PShort_SeqExplorerOfHSequenceOfShortReal::operator new | ( | size_t | ,
|  | void * | anAddress
| ) | `[inline]`

Standard_EXPORT Standard_ShortReal PShort_SeqExplorerOfHSequenceOfShortReal::Value | ( | const Standard_Integer | Index | ) |

## Field Documentation

Standard_Integer PShort_SeqExplorerOfHSequenceOfShortReal::CurrentIndex`[private]`

Handle_PShort_SeqNodeOfHSequenceOfShortReal PShort_SeqExplorerOfHSequenceOfShortReal::CurrentItem`[private]`

Handle_PShort_HSequenceOfShortReal PShort_SeqExplorerOfHSequenceOfShortReal::TheSequence`[private]`

The documentation for this class was generated from the following file:

- PShort_SeqExplorerOfHSequenceOfShortReal.hxx